## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 11;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# what it's called on pypi
%global srcname graphviz

%global common_description %{expand:
This package facilitates the creation and rendering of graph descriptions in
the DOT language of the Graphviz graph drawing software (master repo) from
Python.

Create a graph object, assemble the graph by adding nodes and edges, and
retrieve its DOT source code string. Save the source code to a file and
render it with the Graphviz installation of your system.}

Name:           python-%{srcname}
Version:        0.20.1
Release:        %autorelease
# Set Epoch to avoid being obsoleted by graphviz-python
Epoch:          1
Summary:        Simple Python interface for Graphviz

License:        MIT
URL:            https://github.com/xflr6/graphviz
Source0:        %url/archive/%{version}/%{srcname}-%{version}.tar.gz
# Do not depend on separate mock module
# Do not pull in coverage deps
Patch0:         python-graphviz-deps.patch

BuildArch:      noarch
BuildRequires:  python3-devel

%description %{common_description}

%package -n     python3-%{srcname}
Summary:        %{summary}
Requires:       graphviz

%description -n python3-%{srcname} %{common_description}

%package -n python-%{srcname}-doc
Summary:        Documentation for %{name}

%description -n python-%{srcname}-doc
%{common_description}

This is the documentation package for %{name}.

%prep
%autosetup -p1 -n %{srcname}-%{version}

sed -i 's/\r//' docs/*.rst
sed -i 's/\r//' README.rst

%generate_buildrequires
%pyproject_buildrequires -t -x docs
echo "graphviz"

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=$PWD/build/lib sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{srcname} 

%check
# Compatibility with pytest 8
# Workaround for: https://github.com/xflr6/graphviz/issues/219
cat tests/backend/conftest.py >> tests/conftest.py
rm tests/backend/conftest.py

%pytest --skip-exe \
        --only-exe \
        --collect-only \
        --verbose \
        --pdb \
        --exitfirst \
        --doctest-report none

%files -n python3-%{srcname} -f %{pyproject_files}

%files -n python-%{srcname}-doc
%doc html
%license LICENSE.txt

%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.20.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Oct 24 2024 Orion Poplawski <orion@nwra.com> - 1:0.20.1-10
- Do not depend on separate mock module

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.20.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 1:0.20.1-8
- Rebuilt for Python 3.13

* Mon Apr 15 2024 Lumir Balhar <lbalhar@redhat.com> - 1:0.20.1-7
- Fix compatibility with pytest 8

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.20.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.20.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.20.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 1:0.20.1-3
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.20.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Sep 12 2022 Lumir Balhar <lbalhar@redhat.com> - 1:0.20.1-1
- Update to 0.20.1

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.20-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun Jul 03 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1:0.20-4
- Minor fixes

* Sun Jul 03 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1:0.20-3
- Add upstream patch to work with Sphinx >=5

* Tue Jun 21 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1:0.20-2
- Remove deletion of egg.info

* Tue Jun 21 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1:0.20-1
- Update to 0.20 Close: rhbz#2073574

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1:0.19.1-3
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.19.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Dec 18 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1:0.19.1-1
- Update to 0.19.1 Close: rhbz#2020910

* Sun Jul 25 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1:0.17-2
- Add missing BR

* Sun Jul 25 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1:0.17-1
- Update to 0.17 Close: rhbz#1982082

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.16-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1:0.16-3
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Dec 26 14:22:40 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1:0.16-1
- Update to 0.16
- Close: rhbz#1910793

* Sat Dec 05 13:44:53 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1:0.15-1
- Update to 0.15
- Close: rhbz#1897926

* Sat Nov 14 15:03:27 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1:0.14.2-1
- Update to 0.14.2
- Clore: rhbz#1885881

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.14.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 13 18:16:51 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1:0.14.1-1
- Update to 0.14.1 (#1856318)

* Fri Jun 19 19:36:17 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1:0.14-1
- Update to 0.14 (#1826692)

* Sun May 24 2020 Miro Hrončok <mhroncok@redhat.com> - 1:0.13.2-3
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.13.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Dec 06 00:44:09 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1:0.13.2-1
- Release 0.13.2 (#1771081)

* Mon Sep 23 21:56:51 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1:0.13-2
- Drop Python 2 support (#1754306)

* Wed Sep 11 23:42:39 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1:0.13-1
- Release 0.13 (#1744290)

* Sat Aug 17 2019 Miro Hrončok <mhroncok@redhat.com> - 1:0.11.1-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.11.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Jul 16 20:01:25 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1:0.11.1-1
- Release 0.11.1 (#1727363)

* Mon Jun 10 19:42:48 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1:0.11-1
- Release 0.11 (#1716623)

* Mon Mar 11 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1:0.10.1-1
- Release 0.10.1 (#1687519)

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.8.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Sep 24 2018 Miro Hrončok <mhroncok@redhat.com> - 1:0.8.3-4
- Drop unneeded build dependencies
- Run the tests

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.8.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1:0.8.3-2
- Rebuilt for Python 3.7

* Thu May 10 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.8.3-1
- Upstream release 0.8.3

* Fri Apr 13 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.8.2-1
- Initial package.

## END: Generated by rpmautospec
